// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
TRANSITIONS
======================================================================================================================================*/

.trans(@property : all, @duration: 0.4s, @easing : cubic-bezier(0.075, 0.820, 0.165, 1.000), @delay : 0 ) {
 transition-property: @property;
 transition-duration: @duration;
 transition-timing-function: @easing;
 transition-delay: @delay;
 -webkit-transition-property: @property;
 -webkit-transition-duration: @duration;
 -webkit-transition-timing-function: @easing;
 -webkit-transition-delay: @delay;
}

.trans.simple {
   .trans();
}

.trans.long {
   .trans(all, 0.8s, cubic-bezier(0.075, 0.820, 0.165, 1.000), 0);
}

/* ====================================================================================================================================
ANIMATIONS
======================================================================================================================================*/

@keyframes animation-fadein {
   from {
       opacity: 0;
   }
   to {
       opacity: 1;
   }
}
@-webkit-keyframes animation-fadein {
   from {
       opacity: 0;
   }
   to {
       opacity: 1;
   }
}

.animation-fadein (@duration: 2s, @delay: 0.3,) {
    opacity                    : 0;
    animation-name             : animation-fadein;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation-fadein;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
}

// HIDE NAV WHEN BODY SCROLL ------------------------------
@keyframes animation__scroll{
    from {
        .u-transform(translateY(-100%));
    }
    to {
        .u-transform(translateY(0));
    }
 }
 @-webkit-keyframes animation__scroll {
    from {
        .u-transform(translateY(-100%));
    }
    to {
        .u-transform(translateY(0));
    }
 }
 
 .animation__scroll (@duration: .4s, @delay: 0,) {
     animation-name             : animation__scroll;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__scroll;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
 }

// ANIMAZIONI HOVER IMG ------------------------------
 a.o-img-hover, .c-home_categories__img, .product-category a, .o-img-hover {
	overflow: hidden;
	display: inline-block;

	img, .wp-post-image {
		@media @mq--nophone {
			.u-transform(scale(1));			
			.trans.long;
			&:hover {
				.u-transform(scale(1.1));
			}
		}
	}
}